Skip to main content
GET
/
document
/
v1beta1
/
generateIds
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/document/v1beta1/generateIds \
  --header 'Authorization: Bearer <token>'
{
  "documentIds": [
    "<string>"
  ],
  "kind": "<string>",
  "libraryId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

libraryId
string
required

The ID of the library

count
integer<int32>
default:10

The number of IDs to return. Acceptable values are 1 to 1000, inclusive. (Default: 10)

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiDocumentIds response

documentIds
string[]

The requested document IDs

kind
string
libraryId
string

The ID of the library for which the document IDs have been generated